> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Transaction

> Create a new bank transaction record manually.



## OpenAPI

````yaml /api/openapi-cutmake.json post /api/v1/bank-transactions
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /api/v1/bank-transactions:
    post:
      tags:
        - Bank Transactions
      summary: Create Transaction
      description: Create a new bank transaction record manually.
      operationId: create_transaction_api_v1_bank_transactions_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BankTransactionCreate'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BankTransactionResponse'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    BankTransactionCreate:
      properties:
        orgId:
          anyOf:
            - type: string
            - type: 'null'
          title: Orgid
          default: 00000000-0000-0000-0000-000000000001
        bankAccountId:
          anyOf:
            - type: string
            - type: 'null'
          title: Bankaccountid
        transactionDate:
          type: string
          format: date
          title: Transactiondate
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          default: ''
        debitAmount:
          anyOf:
            - type: number
            - type: 'null'
          title: Debitamount
          default: 0
        creditAmount:
          anyOf:
            - type: number
            - type: 'null'
          title: Creditamount
          default: 0
        balance:
          anyOf:
            - type: number
            - type: 'null'
          title: Balance
          default: 0
        bankName:
          anyOf:
            - type: string
            - type: 'null'
          title: Bankname
        fileName:
          anyOf:
            - type: string
            - type: 'null'
          title: Filename
      type: object
      required:
        - transactionDate
      title: BankTransactionCreate
    BankTransactionResponse:
      properties:
        id:
          type: string
          title: Id
        orgId:
          type: string
          title: Orgid
        bankAccountId:
          anyOf:
            - type: string
            - type: 'null'
          title: Bankaccountid
        bankAccountName:
          anyOf:
            - type: string
            - type: 'null'
          title: Bankaccountname
        transactionDate:
          type: string
          title: Transactiondate
        description:
          type: string
          title: Description
        debitAmount:
          type: number
          title: Debitamount
        creditAmount:
          type: number
          title: Creditamount
        balance:
          type: number
          title: Balance
        reconciled:
          type: boolean
          title: Reconciled
        matchedEntryId:
          anyOf:
            - type: string
            - type: 'null'
          title: Matchedentryid
        matchConfidence:
          anyOf:
            - type: number
            - type: 'null'
          title: Matchconfidence
        createdAt:
          type: string
          title: Createdat
        importedAt:
          type: string
          title: Importedat
        bankName:
          anyOf:
            - type: string
            - type: 'null'
          title: Bankname
        fileName:
          anyOf:
            - type: string
            - type: 'null'
          title: Filename
      type: object
      required:
        - id
        - orgId
        - transactionDate
        - description
        - debitAmount
        - creditAmount
        - balance
        - reconciled
        - createdAt
        - importedAt
      title: BankTransactionResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````